List structure members
curl --request GET \
--url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/structures/{structureId}/members \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/structures/{structureId}/members"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/structures/{structureId}/members', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"meta": {
"nextCursor": "F3UdkoSbpBNrjwP93AX2HQ",
"totalItems": 1
},
"items": [
{
"identityId": "300VUC9TE3",
"memberType": "member",
"roleId": 1,
"peopleId": 1,
"name": "Full Name",
"email": "email@iggre.net",
"avatar": "<string>",
"joinedAt": "2024-01-01T12:00:00Z",
"groupNames": [
"<string>"
],
"status": "active",
"workspaceNames": [
"<string>"
]
}
]
}Structures
List structure members
List the members of an organization structure.
Pagination: Cursor-based
GET
/
api
/
v1
/
organizations
/
{organizationId}
/
structures
/
{structureId}
/
members
List structure members
承認
クエリパラメータ
Limit the number of results returned. Maximum 200.
必須範囲:
x <= 200例:
50
Cursor to paginate through results.
Search keyword: identity name or email.
Filter for member type/role.
利用可能なオプション:
manager, member, guest Sort results by email, member type, status or join date.
利用可能なオプション:
email, memberType, status, joinedAt Sort results in ascending or descending order. Defaults to ASC.
利用可能なオプション:
DESC, ASC Filter results by type. Accepts multiple options.
利用可能なオプション:
board_member, full_time_employee, fixed_time_employee, temporary_employee, part_time_employee, secondment_employee, contract_employee, collaborator, group_address, shared_address, test_address, other, unknown, unregistered Filter results by status. Accepts multiple options.
Extended status of the employee
利用可能なオプション:
active, on_leave, draft, preactive, retired, untracked, archived Filter results by serviceId.
例:
1
最終更新日 2026年10月9日
このページは役に立ちましたか?

